Get invoices

Get invoices.

get
Query parameters
UserIdstringOptional

The id of the user. If the user is not provided, it will be the current user.

PackageIdstringOptional

The package id.

SubscriptionTypeIdstringOptional

Filter by the subscription type id.

Typestring · enumOptionalPossible values:
CodestringOptional

Filter by the invoice code.

NamestringOptional

Filter by the invoice name.

DescriptionstringOptional

Filter by the invoice description.

NotesstringOptional

Filter by the invoice notes.

TagsstringOptional

Filter by the invoice tags.

ReminderedCountinteger · int32Optional

Filter by the invoice status.

DeliveryInstructionsstringOptional

Filter by the Delivery Instructions.

ConfirmedDeliveryDatestring · date-timeOptional

Filter by the Confirmed Delivery Date.

InvoiceDatestring · date-timeOptional

Filter by the Invoice Date.

OverdueDatestring · date-timeOptional

Filter by the Due Date.

Statusstring · enumOptional

Filter by the Status.

Possible values:
KeywordsstringOptional

Filter by the Keywords.

TestModebooleanOptional

Filter by the test mode. By default, it is false.

StartDatestringOptional

The start date date for which the invoice is generated. The date is in MM-DD-YYYY format.

EndDatestringOptional

The end date for which the invoice is generated. The date is in MM-DD-YYYY format.

SortDataFieldstringOptional

The sort data field to sort. By default, the value is ID.

SortOrderstring · enumOptional

Specifies the sorting order type for a collection.

Possible values:
PageNumberinteger · int32Optional

The page number of the pagination. Default value is 0.

PageSizeinteger · int32Optional

The page size of the pagination. Default value is 200.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

get
/api/v1/invoices

Last updated